<template>
  <div class="py15 px15 bg-white card">
    <slot name="before-title"/>
    <h3 v-if="title" class="black mt15 card__title">{{ title }}</h3>
    <h3 v-if="description" class="p6 gray-1 mt1 card__description">{{ description }}</h3>
    <nuxt-link v-if="link" :to="link" class="f mt2 gray-1 card__cta">
      <slot name="cta"/>
    </nuxt-link>
  </div>
</template>

<script>
export default {
  name: 'Card',
  props: {
    title: {
      type: String,
      default: ''
    },
    description: {
      type: String,
      default: ''
    },
    link: {
      type: String,
      default: ''
    }
  }
}
</script>

<style lang="scss" scoped>
.card {
  border-radius: 16px;
}
</style>
